<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="@since J2EE1.4  The activation-configType defines information about the  expected configuration properties of the message-driven bean  in its operational environment. This may include information  about message acknowledgement, message selector, expected  destination type, etc.    The configuration information is expressed in terms of  name/value configuration properties.    The properties that are recognized for a particular  message-driven bean are determined by the messaging type.">
<meta name="KeyWords" content="ActivationConfig,Class ActivationConfig,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;ActivationConfig&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>@since&nbsp;J2EE1.4
<BR>The&nbsp;activation-configType&nbsp;defines&nbsp;information&nbsp;about&nbsp;the
<BR>expected&nbsp;configuration&nbsp;properties&nbsp;of&nbsp;the&nbsp;message-driven&nbsp;bean
<BR>in&nbsp;its&nbsp;operational&nbsp;environment.&nbsp;This&nbsp;may&nbsp;include&nbsp;information
<BR>about&nbsp;message&nbsp;acknowledgement,&nbsp;message&nbsp;selector,&nbsp;expected
<BR>destination&nbsp;type,&nbsp;etc.
<BR>
<BR>The&nbsp;configuration&nbsp;information&nbsp;is&nbsp;expressed&nbsp;in&nbsp;terms&nbsp;of
<BR>name/value&nbsp;configuration&nbsp;properties.
<BR>
<BR>The&nbsp;properties&nbsp;that&nbsp;are&nbsp;recognized&nbsp;for&nbsp;a&nbsp;particular
<BR>message-driven&nbsp;bean&nbsp;are&nbsp;determined&nbsp;by&nbsp;the&nbsp;messaging&nbsp;type.</font><BR><BR>
</body>
</html>
